"apt-get install emacs tuareg-mode" pulls in xemacs21

Bug #638755 reported by Nicolas Palix on 2010-09-15
92
This bug affects 2 people
Affects Status Importance Assigned to Milestone
xemacs21 (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: xemacs21

I encountered this problem while installing tuareg-mode and emacs with apt-get.

xemacs21 has been installed as a dependency (maybe only a proposition) of emacs.

ProblemType: Package
DistroRelease: Ubuntu 10.04
Package: xemacs21 (not installed)
ProcVersionSignature: Ubuntu 2.6.32-24.42-generic 2.6.32.15+drm33.5
Uname: Linux 2.6.32-24-generic i686
Architecture: i386
Date: Wed Sep 15 10:33:46 2010
ErrorMessage: subprocess installed post-installation script returned error exit status 2
InstallationMedia: Ubuntu 10.04.1 LTS "Lucid Lynx" - Release i386 (20100816.1)
SourcePackage: xemacs21
Title: package xemacs21 (not installed) failed to install/upgrade: subprocess installed post-installation script returned error exit status 2

Nicolas Palix (npalix) wrote :
description: updated
era (era) wrote :

This appears to be a duplicate of a known bug. If you do not require xemacs21, maybe you can just silently uninstall it. tuareg-mode appears to prefer xemacs21-nomule over other emacsen, which is probably a mistake (I filed bug #638781 about this issue just now). You apparently already have emacs23 so if you are fine with that, you can ignore the problem with xemacs21.

era (era) wrote :

Additionally: what packages exactly were you trying to install? I can't get it to install emacs23 if I install just ocaml-nox pycaml, and then if I add emacs23 then it will not install xemacs21.

I am setting the Status of this bug report to Incomplete to signal that we are waiting for further input from you. Please set the Status back to New once you have supplied the requested additional information.

I'm removing the duplicate marking for bug #467446 for now as it is not essential to your particular problem.

Changed in xemacs21 (Ubuntu):
status: New → Incomplete
Nicolas Palix (npalix) on 2010-09-15
Changed in xemacs21 (Ubuntu):
status: Incomplete → New
Nicolas Palix (npalix) wrote :

Indeed, I don't need xemacs and purge it to avoid the problem.

Concerning the packages I installed, it was emacs (and not directly emacs23) and tuareg-mode.
xemacs21 is maybe also a dependency of the emacs package (or a recommended one).

I don't think it is a duplicate of bug #467446. This one seems to be about a problem
with update-alternatives while I got errors compiling tuareg-mode related .el files for xemacs21.

install/ocaml-mode: Handling install for emacsen flavor xemacs21
Compiling /usr/share/xemacs21/site-lisp/ocaml-mode/caml-compat.el...
Wrote /usr/share/xemacs21/site-lisp/ocaml-mode/caml-compat.elc
Compiling /usr/share/xemacs21/site-lisp/ocaml-mode/camldebug.el...
While compiling toplevel forms in file /usr/share/xemacs21/site-lisp/ocaml-mode/camldebug.el:
  !! error (("Invalid syntax description flag: \"()1n\""))
>>Error occurred processing camldebug.el:
Invalid syntax description flag: "()1n"

Compiling /usr/share/xemacs21/site-lisp/ocaml-mode/caml.el...
Wrote /usr/share/xemacs21/site-lisp/ocaml-mode/caml.elc
Compiling /usr/share/xemacs21/site-lisp/ocaml-mode/caml-font.el...
Wrote /usr/share/xemacs21/site-lisp/ocaml-mode/caml-font.elc
Compiling /usr/share/xemacs21/site-lisp/ocaml-mode/caml-help.el...
Wrote /usr/share/xemacs21/site-lisp/ocaml-mode/caml-help.elc
Compiling /usr/share/xemacs21/site-lisp/ocaml-mode/caml-hilit.el...
Wrote /usr/share/xemacs21/site-lisp/ocaml-mode/caml-hilit.elc
Compiling /usr/share/xemacs21/site-lisp/ocaml-mode/caml-types.el...
Wrote /usr/share/xemacs21/site-lisp/ocaml-mode/caml-types.elc
Compiling /usr/share/xemacs21/site-lisp/ocaml-mode/caml-xemacs.el...
Wrote /usr/share/xemacs21/site-lisp/ocaml-mode/caml-xemacs.elc
Compiling /usr/share/xemacs21/site-lisp/ocaml-mode/inf-caml.el...
Wrote /usr/share/xemacs21/site-lisp/ocaml-mode/inf-caml.elc
Done
emacs-install: /usr/lib/emacsen-common/packages/install/ocaml-mode xemacs21 emacs23 failed at /usr/lib/emacsen-common/emacs-install line 28, <TSORT> line 4.
dpkg: error processing xemacs21-mule (--configure):
 subprocess installed post-installation script returned error exit status 1
E: Sub-process /usr/bin/dpkg returned an error code (1)

era (era) wrote :

The ocaml bug is #464587 and there were a couple of other well-known errors in the log too. What I'm wondering about is how xemacs21 got installed -- I cannot reproduce that on Lucid. If I apt-get install emacs tuareg-mode (or even just tuareg-mode; it pulls in emacs23 by itself) then no xemacs21 gets installed, even with -o Apt::Install-Suggests=true -- so that's what I'd like to try to resolve here.

Nicolas Palix (npalix) wrote :

I got differents results for "tuareg-mode emacs" and "emacs tuareg-mode"

npalix@ubuntu:~/Desktop$ sudo apt-get install tuareg-mode emacs
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
  emacs23 emacs23-bin-common emacs23-common emacsen-common ledit libcompfaceg1
  libdb4.7 ocaml-base-nox ocaml-interp ocaml-mode xemacs21
  xemacs21-basesupport xemacs21-bin xemacs21-nomule xemacs21-support
Suggested packages:
  emacs23-el ocaml xemacs21-supportel
The following NEW packages will be installed:
  emacs emacs23 emacs23-bin-common emacs23-common emacsen-common ledit
  libcompfaceg1 libdb4.7 ocaml-base-nox ocaml-interp ocaml-mode tuareg-mode
  xemacs21 xemacs21-basesupport xemacs21-bin xemacs21-nomule xemacs21-support
0 upgraded, 17 newly installed, 0 to remove and 0 not upgraded.
Need to get 57.2MB of archives.
After this operation, 174MB of additional disk space will be used.
Do you want to continue [Y/n]? n
Abort.
npalix@ubuntu:~/Desktop$ sudo apt-get install emacs tuareg-mode
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
  emacs23 emacs23-bin-common emacs23-common emacsen-common ledit
  ocaml-base-nox ocaml-interp ocaml-mode
Suggested packages:
  emacs23-el ocaml
The following NEW packages will be installed:
  emacs emacs23 emacs23-bin-common emacs23-common emacsen-common ledit
  ocaml-base-nox ocaml-interp ocaml-mode tuareg-mode
0 upgraded, 10 newly installed, 0 to remove and 0 not upgraded.
Need to get 25.0MB of archives.
After this operation, 77.7MB of additional disk space will be used.
Do you want to continue [Y/n]? n

ARGHT!!!

Now I'M REALLY FRUSTRATED!?!?!

But first->_
Hi All.ToGeThR,

Just some minutes ago I tried to add a ComMent here, b'cause I think, I'm hav'ing Trouble with the SaMe PROB.lem for the last two days (and partly the K)night'S as well ;-> ) ) ) -->_

But now I'm Tired and make it Short:

I Think, 'ThaT I pinned the problem down to be somewhere in a script in connection with the xemule21-(no)?)mule? ->PackAge.

My best guess now is, that it has to do SomeThing with a function Getting the Wrong Number(i.e. =3) of arguments!

But that's enough for now: I only cross-read this bug and was too happy to find at least some recent report, with any resembly to actual problem, that I don't want to go into to much Deatail this Night!

-> Now I've to Go To Bed!

Good K)Nai8'T All!

CpU.ou

PS: I ho'Pe I'Ll SeE You ToMoRroW!?!!! ! . . . ł … … … ;)

I' Hope 'This now Get's to Be FiXed Soon. . . …

Changed in xemacs21 (Ubuntu):
assignee: nobody → Andreas "CPU.ou" H. A. "Rü"-Völklein (andreas-voelklein)
status: New → In Progress

SoRrY:

-> 'I ForGot:

Binary package hint: xemacs21

I encountered this problem while installing tuareg-mode and emacs with apt-get.

xemacs21 has been installed as a dependency (maybe only a proposition) of emacs.

ProblemType: Package -> xemacs21-(no)mule?
DistroRelease: Ubuntu 10.04.1 LTS + KuBuntu + XuBuntu + LuBuntu
Package: xemacs21 (not installed), -> xemacs21-mule ; -> xemacs21-nomule?
ProcVersionSignature: ( Ubuntu 2.6.32-24.42-generic 2.6.32.15+drm33.5 )) -> ? Don't Really Know, What That Is exactly? C'aN You HelP Me? ;)
Uname: Linux 2.6.32-24-generic i686, +-> Linux 2.6.32-25-generic amd64
Architecture: i386; +amd64=x86_64
Date: Fr:30.09.2010 0:10:-x MESZ
ErrorMessage: subprocess installed post-installation script returned error exit status 2 … .. . . ->-->ToMmoRroW MoRe! --> Or Rather ToDay!
InstallationMedia: Ubuntu 10.04.1 LTS "Lucid Lynx" - Release amd64
SourcePackage: xemacs21
Title: package xemacs21 (not installed) failed to install/upgrade: subprocess installed post-installation script returned error exit status 2 … . . . --> s.o.

See You ToMoRoW!
CPY.ou

era (era) wrote :

Andreas: could you please write a short description of your proposal for how to fix this. Changing the "assigned to" to yourself implies that you are prepared to solve this problem for Ubuntu; is this correct?

In the meantime, unless you are positive that what you are seeing is identical to the original bug report, please file a separate bug, or hold your comments until you have a conclusion to report. Thanks.

Changed in xemacs21 (Ubuntu):
status: In Progress → Confirmed
Download full text (3.5 KiB)

ThanK Y.ou ERA!
->and Not Only for Y.our Quick Response!

Hi, All;

I had yesterday n.8! a -- or was 'T 'Th'S Morning? -- Does'nt matt'Rr -- _ …
rather joy.fuLl advend'ture, as I Found th's! RePort! --> _ … |^ . . ^^ …
-bTw.NT: Y.ou See, I'm really H'))'PpY --->--/ -->> 'nD N'T On'ly 'cause I slept so gooD ;) L'St n.8! -- …

Back to mournfu.oo(->bar).Ll B.ui'SßS'Y'Ns: …
->I just came here 'FtR a long day 'F W'RK W'Th the M'st! S'T'P'D!! of A'll! P'eo''Ple!.p! - not only the L'TT!'Le! …
 … --> to Write a short description 0
of M.y(.ou'R) bug -->_ …
 – … Includ'NG the B'ST W'RK''R.ou'Nd For Now, That I can SEE: ––
 –– -> I F 'AT'Tt.y)) ALL Po.'SS'Ble: DO NOT INSTALL: Xemacs21-mule!?!?!!! --–…

--–… ->This is' GOLD 'S Ch.oi.Ce ……
…… --> But of Cour'Se There'S PLATINUM: REPORT HERE; now ; AND TRY TO FIX IT! A:S:A:P !!! ;) –– … … …

–– ……… --->/-->> BtB.'ow0: …
… -> I 'Th'Nk I 'N'DR 'STODD!, what "assigned to" means: As I recall from school - Which, ->'F 'C'RSE!; ->, may be incorrect, since I'm NOT A N'TI'!'Ve SPea'KR! ……
……-> What I wanted to express with thissß: I think I'm able to so'Lve thIsß! particular problem -> and 'F I'M NOT COMPETENT ENOUGH!! --> Well, Ther'S the INTERNET --> J.us'T W.ai.Ting for ME.u to COME 'nD LEARN!! --> ……

…… --> Hope,!- , you 'NdR'Stand'D …… now …… .. , - but 'Ts a rather LARGE Fi'LD('S MDL)) !!! --> …
… .-> btb.Now: (PS: I hope 'The a'Bove is C.oRRCT! ;) ) …

…-> Really-BtB.N'W: (PPS: Ver'Y Po'S'Tv!!) (PPoPPSTZ.PS: VERY IDENTICAL !! INDEED !) ;))) --> …
…->(PPostX.PS: NO S'PeRaT BUG-R.port N'e'D!! --> At'Least I Hope so --> 'Nd for NOW are p!.Rett.Y SURE!)) ……
……-> (POSTX.PS: I'M GOING T' HLD M.y C'o'Mm'TS -> NeVeR In'TN'Dd ANY.Th.INg 'L'se ;)) --> …
…-> Hope' We'll see a Con.Clu.SION! ..--> S.oo.N (HAvn't I MENTIOND 't (i.e. the aB'Ve …ZPF.W ->er.LY.'r ? |> |^?) ………

………->btb.nw: 'Nd B'Ck to "In Pro.Gre.S\ßS" -> I HP W'Th Y.R PRM'S\ßS.on! ;)) …->
…->Don'e F'R N'W: Back to The REAL'Y Im'Pr'TNT:! W'R'cK! ;)

Thank'S You.ALL:
Ex.)sp.ALL.Y: era-( a n'W 0'N St'RT's N'!)- (bTW: Do Y.ou K'Now how to add a ReFeRenZ to an'O'Th'R Member? e.g. -> era -/-> so. 'Tht 'T Would B'Co.k'Me a HYPERLINK!? --> I'D Look it up ->- and will so, if NOBO.d.Y C'n Tell me, but for NoW: I'VE NO TIME FOR IT!! ) ……
……-> I HP. ' ' Y.ou.a.L W'll! N'DrStND Thi'S ALL:
IF NOT, JUST ASK --! -- … … … . . .
--> … ………… „I'T: D'SnT HURT!!“ - as a W'S!e MAN! T'ld.(2) M.e ONCE. -> a'ND :

ENOUGH ; -- ) -/-> AT least F'R NOW:

Bye

CPY.ou

PostXX.ps: Can AN.Y of Y.ou Speak GERMAN? -- > ……
……-> only 'cause that'd be m.Y Na.T'V!e Language, in which I could express technical details more eas.Y.'Ll.R --> …
…-> IF NOT: I JUST H'Ve To LEARN a B't! more & better ENGLISH!?!!

bye.nw "rVü" .. . … … …

 …
  …
   …

S'Ry.u -> For 'T'S DoBB'Le POST: --> …

…-> But i Dn't Like them … … …
 … --> For Want IS. PS? ; -> 'not'th'g 'bout HORS'ß …

PS'T'X.p'S:

Just watched "ZDF.reporter" in GER.MAN-Tv:
ES/ß.Nz:

„SchaffT d'.! ST.aaA.T'S-POLIZEI a'B! -…
--> M'aCH'T D'a'S VOLK Z'm POLIZEI-St'a)TT''d!!!“

'ND adv.cd:
„POLITIK 'ST Sch.\ß-Wrd -–.
--> B'S'N'DrS we'Ns von S\ß-wd POl.NX)).T'k'Rn g'M'Cht' -> WIr!D !“

pro: "s.->Ht' … " … --> sed: I.'R W\ßt S'ch'N W'S...

Read more...

Changed in xemacs21 (Ubuntu):
status: Confirmed → In Progress

ThX.ra'F r0

summary: - package xemacs21 (not installed) failed to install/upgrade: subprocess
- installed post-installation script returned error exit status 2
+ package xemacs21 (not installed) failed to install/upgrade:
+ //(subprocess installed post-installation script returned error exit
+ status 2 )
summary: - package xemacs21 (not installed) failed to install/upgrade:
- //(subprocess installed post-installation script returned error exit
- status 2 )
+ package xemacs21 (not installed) failed to install/upgrade: script?B'uG
+ … … … //(subprocess installed post-installation script returned error
+ exit status 2 )

PPX.'S: B'uG -H'ea'T:
-->V'Ry NICE IDEA: … f.H-v.H -o.a'RÄ!.h ……
//->even better M'a'Th -…
->MO'ST BEST: th'E EX.Pl'A.NA.T.I.ON! …

lPLl-gpl2

ppx'S: only "expired" ' sh'd''b=1 'nD "W'nT F'Xe.M-bw"=5--…10-15?
r0-2

bTw: PS:
->How TO'DO Ch'N'Ge "ImP'RtAnCE" &.et "MILEST'Ne" ??!? …
…-> OR D'S TH'S Wor'K Auto.Mat'H.Lk.iD-n:a.D.(fG'Rm's) ? ? … …

O'R Via "AD'D At'T#Ch'.M'nt.u?"

-->TST

r0

DON'T INSTALL: xemacs21, xemacs21-mule !!!; ?\? -xemacs21-nomule ??!?

n'W: T's Dn'T WRK!
z0 ->t'R.u?y ! Gai!N! -->!!l.iD!

bTw: ZwWwM/o/E:'T'W'S:

„„…

Choose Launchpad to:

    * Develop, promote and
      publish your software.
    * Encourage contributions to
      your project.
    * Improve collaboration with
      other projects and developers.
    * Build communities using
      teams and mailing lists.

··………““ - (https://launchpad.net/+tour/index: MeX:Do.30/09/10.:22:58:21s)

pS:x:-)!

ZwWwE:

„„…

One place to track bugs
across project boundaries and tools
[!!]|…
…““ -Rvü
(https://launchpad.net/+tour/bugs:/: MeX:Do.30/09/10.:23:00:25s-Sf-5s-+20s++0,N'x)
Zr0

-->(…) ..
(https://help.launchpad.net/Bugs/PluginAPISpec #||’#.cr.Y'u-ng!-->…)
((…]-] MX:D.30/09/10.:--:-3:10s-Sf-10s-+3m!n))-;-)); --…
CpY'u

PS.x Whe'RE TO'd0:

REPORT?INTERNAL:: LAUNCHPAD??? BUG'S/ERROR'S/CR.Zyu.(seu...).N'S(et) & . …
……

…Zr'V

RvÜ..

We'LL:

BtW:NTh'Rdd:D::

the 0'nly-lo0'n'Ly B't! 'F In!F'RM'TiON! 'Mssn'NG!!! … ::

HOW MANY POINTS DOES ONE NEED PER FLAME !?!? |^ …… ^^(s.o|^'B'(n))'R'R' C'aSßE-n0n:KA.ä.'SSßSSSEEEEEEEEEEEEEEEE)!)!))))))

;--|--:)

CpYu

--->A'H.a:::

->(http://bazaar.launchpad.net/~launchpad-pqm/launchpad/db-devel/annotate/head:/database/schema/trusted.sql)

--> VE'RyU. D'CU'Mn'TD!!!?!

->But rather a LARGE (ph.TOO)-foo.b'r…)))-:) --> tl a FIELD(=Kö.-dT:)'S MDL))) -:) …

CPY

HLP'M'e.u::!

How TOdo BEST GET MOST USEFuLl INformation from the System!!

->About this xemacs21-(no))mule??? B'uG!?!?

CpY

visibility: public → private
summary: package xemacs21 (not installed) failed to install/upgrade: script?B'uG
- … … … //(subprocess installed post-installation script returned error
- exit status 2 )
+ … … … (function ERR'R'Ly gets wrong N'MbR 'F ARG'S (I.e.=3??!)?) ……
+ //(subprocess installed post-installation script returned error exit
+ status 2 )

Ps.X:

C'N AnY'Onne(!)1) 'T ALL 'F.Y.ou!?!? …

--> FOLLOW READING !!!?!!! … … ? …x!?

CPU

psx: Or DOES ANYONE(A)(1)) E'V'N TRY??!?!?

Zr0

OH … … . ..... . .... …

 …

 …

  …

    …

    … … … …

   … … … … … … I'S#EEE … … … … …

 ……… … … … … …I'm

   … …

    … … … …

S'ome)W'h'a)T. To0(=o).

 … … …

FST -- > i.e. e.g. in.ENG_en_EN: : : too fast( by FAR!)

Let'S See, Wh'T T'Do

… … …

Best' I! 'Cn'Th'k 'F: …

-->GO BACK TO WORK FOR NOW!!!
u.just.th(nk).
CPY.thxXtra::X
zr0

SrY:

--> ALso …

 … …fo'R … … …

 … … … …dD'P ……………………………

(ie.eg.ENG_en:: : Sorry for it - and also for ThiS DoBb(P)l-PoSt. … ………)

Zr0

summary: package xemacs21 (not installed) failed to install/upgrade: script?B'uG
… … … (function ERR'R'Ly gets wrong N'MbR 'F ARG'S (I.e.=3??!)?) ……
//(subprocess installed post-installation script returned error exit
- status 2 )
+ status 2 ) gc++ ... General I'D'ea'S ))):-:;:--:-)

GooD_ K'Ni8GHT --> … .

÷…

z……

…Z…z…←…ZZzzzzZZZZZ1R'GH –←←zz–←←eełer
saasdf
as
df d0e

…zz……Zz…ZZZ…ZZZZ… z … ZZZZZZZZZZZZZZZZZZZZZZ'RGHT NOW:
.

  .

  ...Zt0.mx

GOLD'n Bir'D'S MORNI'Ng -->St'R …

-->But'N o'W -> !'v 'T 'Go'-T.-W'RK

bye for NOW:
CpY

Bhavani Shankar (bhavi) on 2010-10-01
visibility: private → public
Bhavani Shankar (bhavi) wrote :

Hello Andreas:

Please dont spam and hijack bugs and I ve noticed a similar activity on the Answers page

https://answers.launchpad.net/ubuntu/+question/127493

https://answers.launchpad.net/ubuntu/+question/127489

So please dont spam us we are here to help in case of any problems

Regards

Changed in xemacs21 (Ubuntu):
status: In Progress → New
assignee: Andreas "CPU.ou" H. A. "Rü"-Völklein (andreas-voelklein) → nobody
Bhavani Shankar (bhavi) on 2010-10-01
summary: - package xemacs21 (not installed) failed to install/upgrade: script?B'uG
- … … … (function ERR'R'Ly gets wrong N'MbR 'F ARG'S (I.e.=3??!)?) ……
- //(subprocess installed post-installation script returned error exit
- status 2 ) gc++ ... General I'D'ea'S ))):-:;:--:-)
+ package xemacs21 (not installed) failed to install/upgrade: subprocess
+ installed post-installation script returned error exit status 2
era (era) on 2010-10-01
summary: - package xemacs21 (not installed) failed to install/upgrade: subprocess
- installed post-installation script returned error exit status 2
+ "apt-get install emacs tuareg-mode" pulls in xemacs21

Hi A.ll!

S'R'Y:
I've V'RY IMPORTANT W'RK ToDo Till MoN'DaY -->!'ll 've Pro.ba.b'ly NO TIME to w'rk on this BuG Till Mon.d'y!

Ex'cuse Me!

Cpu

AR'GH!

1. Computer Crash'D as I W'nted to Post a Comment here
2. FireFox CRASHED --- --- " --------------------------------- " ----
3: IF IT DOES'NT WORKK NOW! I'm NOT GOING TO TRY AGAIN!

4: bTB.now:

Anyway: If you'd unComment the troublesome script (/usr/share/xemacs21/site-lisp/anjsp/anjsp.el !?!!!) -–
… then synaptic J'st saY's SmTh'ng 'bout "Abhängigkeits"-trouble (i.e. "dependency"?-trb.?) –.…
… so NOw : 'Ts TIME for the people from apt-get/dpkg 'Nd/OR the MAintainer of the script in question(<email address hidden>) -…
… most likely the whole thing is a Com'pta'bil'ty issue … 'Speccially since 't Scri'pt is date from 2001! …

So Goodbye for NOW!
->See .u
CPY

era (era) wrote :

Andreas: your problem is probably bug #222870.

Again, please remember that each comment you make here ends up being sent as an email to a lot of people (in the Launchpad web interface, see the Subscribers list at the right; do note that some of the recipients are mailing lists with many subscribers).

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers